EGT Time Now
EGT is the abbreviation of Eastern Greenland Time. Time zone offset of EGT is UTC-01. Eastern Greenland Time is 1 hour behind from the UTC universal time. EGT current date is 2nd Friday October 2026. Current time in EGT (EGT).
EGT Time
13:31:26
2 October 2026 Friday
EGT is the abbreviation the time standard known as Eastern Greenland Time. It was established and is effective for some areas of Eastern Greenland, including the cities of Ittoqqortoormiit and the neighboring areas. Eastern Greenland Time is 1 hour behind the UTC universal time.
What time is it in Eastern Greenland Time now? It is 13:31:26 right now.
Eastern Greenland Time Date and Time Now in Various Formats
| Date Time Format | EGT Date Time Now |
|---|---|
| UTC | 2026-10-02T13:31:26Z |
| ISO-8601 | 2026-10-02T13:31:26+0000 |
| RFC 2822 | Fri, 02 Oct 2026 13:31:26 +0000 |
| RFC 850 | Friday, 02-Oct-26 13:31:26 UTC |
| RFC 1036 | Fri, 02 Oct 26 13:31:26 +0000 |
| RFC 1123 | Fri, 02 Oct 2026 13:31:26 +0000 |
| RFC 822 | Fri, 02 Oct 26 13:31:26 +0000 |
| RFC 3339 | 2026-10-02T13:31:26+00:00 |
| ATOM | 2026-10-02T13:31:26+00:00 |
| COOKIE | Friday, 02-Oct-2026 13:31:26 UTC |
| RSS | Fri, 02 Oct 2026 13:31:26 +0000 |
| W3C | 2026-10-02T13:31:26+00:00 |
| Unix Epoch | 1790947886 |
| YYYY-DD-MM HH:MM:SS | 2026-02-10 13:31:26 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-02-10 01:31:26 PM |
| DD-MM-YYYY HH:MM:SS | 02-10-2026 13:31:26 |
| MM-DD-YYYY HH:MM:SS | 10-02-2026 13:31:26 |